Package Gnumed :: Package timelinelib :: Package wxgui :: Package frames :: Package mainframe :: Module mainframe :: Class MainFrame |
[frames] | no frames]

# Class MainFrame

source code

                                      wx.Frame --+
                                                 |
                                    object --+   |
                                             |   |
                         guicreator.GuiCreator --+
                                                 |
                                    object --+   |
                                             |   |
    controllerapi.MainFrameApiUsedByController --+
                                                 |
                                                MainFrame

Instance Methods
__init__(self, application_arguments) x.__init__(...) initializes x; see help(type(x)) for signature | source code
DisplayErrorMessage(self, message) | source code
DisplayStatus(self, message) | source code
week_starts_on_monday(self) | source code
display_time_editor_dialog(self, time_type, initial_time, handle_new_time_fn, title) | source code
display_now_date_editor_dialog(self, handle_new_time_fn, title) | source code
save_time_period(self) | source code
ok_to_edit(self) | source code
get_lockfile_path(self) | source code
edit_ends(self) | source code
get_view_properties(self) | source code
save_current_timeline_data(self) | source code
get_export_periods(self) | source code
Inherited from `guicreator.GuiCreator`: `create_timeline_context_menu`, `display_timeline_context_menu`, `mnu_file_save_as_on_click`, `set_category_on_selected` Inherited from `controllerapi.MainFrameApiUsedByController`: `display_timeline`, `enable_disable_menus`, `get_navigation_id_offset`, `set_timeline_readonly`, `update_navigation_menu_items`, `update_open_recent_submenu` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, application_arguments) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)